const $ = require('jquery');
require("../css/moduleManager.less");
require('./../resource/layui/layui.js');
require('./../resource/jquery-ui/jquery-ui.min.js');
require('./../resource/jquery-ui/jquery-ui.min.css');
require('./../resource/layui/css/layui.css');
// const  layui = require('layui-src');
const {api} = require('./api.js')
const {post} = require('./utils.js')

let data = {}
function getTabData(){
    post(api.getQcCases).then(res =>{
        console.log('ress', res)
        if(res.data.code == '0'){
            data = res.data.data
            renderTab()
        }else{}
    }).catch((e) =>{
    
    })
}
getTabData()
// const data = [
//     {
//         name: '入院记录',
//         score: 10
//     },
//     {
//         name: '入院记录',
//         score: 10
//     },
//     {
//         name: '入院记录',
//         score: 10
//     },{
//         name: '入院记录',
//         score: 10
//     }
//     ,{
//         name: '入院记录',
//         score: 10
//     }
//     ,{
//         name: '入院记录',
//         score: 10
//     },
//     {
//         name: '入院记录',
//         score: 10
//     }
// ]

function renderTab(){
    let  str = ``
    for(let i = 0; i < data.length; i++){
    
        str += `
        <tr>
            <td class="moduleNumber">${i+1}</td>
            <td>${data[i].name}</td>
            <td> <input type="number"  data-index=${i} value=${data[i].score} /></td>
        </tr>
        `
    }
    str += `
    <tr>
        <td>总分</td>
        <td class="totalSum"></td>
    </tr>
    `
    $('table tbody').html(str)
    bindInput()
    getTotalSum()
}
function getTotalSum(){
    let sum = 0
    for(let i = 0; i < data.length; i++){
        if(data[i].score){
            sum += Number(data[i].score)
        }
    }
    $('.totalSum').html(sum)
}



function bindInput(){
    $('input').on('input', function(e){
        const val = $(this).val()
        const index = $(this).attr('data-index')
        $(this).attr('value', val)
        data[index].score = val 
        getTotalSum(data)
    })
}

$('.saveModule').on("click", function(){
    console.log('data', data)
    const sum =  $('.totalSum').html()
    if(sum != 100){
        $( "#dialog-message" ).dialog({
            modal: true,
            buttons: {
              "确定": function() {
                $( this ).dialog( "close" );
                saveModify()
              }
            }
        });
    }else{
        saveModify()
    }
    
    
    // const sum =  $('.totalSum').html()
    // if(sum != 100){
    //     alert('满分不是100')
    // }
})
function saveModify(){
    const qcCasesSaveVOList = []
    for(let i = 0; i < data.length; i++){
        qcCasesSaveVOList.push({
            id: data[i].id,
            score: data[i].score,
        })
    }
    post(api.saveQcCases, {qcCasesSaveVOList}).then(res =>{
        console.log('ress', res)
        if(res.data.code == '0'){
            getTabData()
        }else{}
    }).catch((e) =>{
    
    })

    
}

